%define name gnu-pop3d
%define version 0.9.8
%define release 6mdk

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Other
Source: ftp://ftp.nodomainname.net/pub/gnu-pop3d/current/%{name}-%{version}.tar.bz2
Patch0: gnu-pop3d_popbsmtp.patch.bz2
Summary: GNU POP3 server
#Requires: pam >= 0.59
Prereq: /sbin/chkconfig
Obsoletes: ids-pop3d
Provides : ids-pop3d
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The GNU POP3 server, or GNU POP. This is a small, fast, efficent POP3 server.
It aims to be fully RFC compliant. Please read the file README.rpm in this
packages doc directory for more information.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%patch0 -p1 -b .todd

%build

%configure

%make


%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
make ROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp -f gnu-pop3d.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/gnu-pop3d

%pre
if [ -f /var/lock/subsys/gnu-pop3d ]; then
   /etc/rc.d/init.d/gnu-pop3d stop
fi

%post
/sbin/chkconfig --add gnu-pop3d

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/gnu-pop3d ]; then
      /etc/rc.d/init.d/gnu-pop3d stop
   fi
   /sbin/chkconfig --del gnu-pop3d
fi

%files
%defattr (-,root,root)
%doc COPYING README README.rfc README.rpm
%doc AUTHORS TODO IRONY INSTALL
%doc RFC1081.txt RFC1082.txt RFC1225.txt RFC1460.txt
%doc RFC1725.txt RFC1734.txt RFC1939.txt RFC1957.txt
%doc RFC2095.txt RFC2195.txt RFC2384.txt RFC2449.txt
%{_sbindir}/*
%{_mandir}/man8/*
%config %{_initrddir}/gnu-pop3d
%config %{_sysconfdir}/pam.d/gnu-pop3d

%changelog
* Thu Feb 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-6mdk
- Patch to log IP for pop-before-smtp from Ryan (from Todd)

* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-5mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-4mdk
- rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-3mdk
- BM
- macros

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-2mdk 
- fix group

* Wed Feb 16 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.9.8
- used srpm provided by Geoffrey Lee <snailtalk@linux-mandrake.com>

* Wed Feb 04 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- forgot to handle bz2 last time...
 
* Wed Feb 02 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Rebuilt for Mandrake
 
* Wed Mar 31 1999 Edgard Castro <castro@usmatrix.net>
- Added support to Linux PAM library
- Using a new init script
- Major revamp on spec file
- Discarding all symbols from the executable
- Changed CFLAGS to use $RPM_OPT_FLAGS
- Using chkconfig to create init entriess
- Added default attributes when installing files 
